Package org.apache.ignite.internal.sql.command

## Class SqlDropUserCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlDropUserCommand

All Implemented Interfaces:
  `SqlCommand`

    public class SqlDropUserCommand
    extends Object
    implements SqlCommand

DROP USER command.

### Constructor Summary

Constructors
`SqlDropUserCommand()` Default constructor.
`SqlDropUserCommand​(String userName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SqlCommand` `parse​(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName​(String schemaName)`
`String` `toString()`
`String` `userName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlDropUserCommand

    public SqlDropUserCommand()

Default constructor.

#### SqlDropUserCommand

    public SqlDropUserCommand​(String userName)

Parameters:
  `userName` - User name.

### Method Detail

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName​(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### userName

    public String userName()

Returns:
  User name.

#### parse

    public SqlCommand parse​(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`